#include <QtGui/QApplication>
#include "dialog.h"
#include <QFile>
#include <QMessageBox>

extern QString oggenc_path;

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
    Dialog w;

	oggenc_path = QCoreApplication::applicationDirPath() + "/oggenc2.exe";
	if (!QFile::exists(oggenc_path)) {
		QMessageBox::critical(0, w.windowTitle(), "File not found: " + oggenc_path);
		return 1;
	}

    w.show();

    return a.exec();
}
